ControlsId
Get control details by id.
Authorization
Authorization AuthorizationBearer <token>
In: header
Path Parameters
id*string
Query Parameters
organizationId*string
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/controls/string/?organizationId=string"{ "id": "string", "identifier": "string", "name": "string", "slug": "string", "type": "CATEGORY", "purpose": "string", "description": "string", "isMandatory": true, "parentId": "string", "frameworkId": "string", "isCentralized": true, "createdAt": "string", "updatedAt": "string", "framework": { "id": "string", "name": "string", "identifier": "string", "identifierColor": "string", "version": "string", "isCentralized": true }, "parent": { "id": "string", "identifier": "string", "name": "string", "slug": "string" }, "children": [ { "id": "string", "identifier": "string", "name": "string", "slug": "string", "type": "CATEGORY", "purpose": "string", "description": "string", "isMandatory": true, "parentId": "string", "frameworkId": "string", "isCentralized": true, "createdAt": "string", "updatedAt": "string", "framework": { "id": "string", "name": "string", "identifier": "string", "identifierColor": "string", "version": "string" } } ], "coverages": [ { "id": "string", "coverageStatus": "FULL", "coverageGap": "string", "isNotRelevant": true, "notRelevantReason": "string", "frameworkAdoption": { "id": "string", "framework": { "name": "string", "identifier": "string" } }, "linkedPolicies": [ { "id": "string", "sectionUid": "string", "sectionTitle": "string", "policy": { "id": "string", "title": "string", "slug": "string" } } ], "linkedAssets": [ { "id": "string", "asset": { "id": "string", "name": "string", "slug": "string", "shortId": 0 } } ], "linkedRisks": [ { "id": "string", "risk": { "id": "string", "name": "string", "slug": "string", "shortId": 0 } } ], "linkedTreatmentActions": [ { "id": "string", "treatmentAction": { "id": "string", "name": "string", "slug": "string" } } ], "linkedVendors": [ { "id": "string", "responsibility": "VENDOR", "vendor": { "id": "string", "name": "string", "slug": "string", "shortId": 0 } } ], "linkedDevices": [ { "id": "string", "device": { "id": "string", "name": "string", "shortId": 0 } } ], "linkedIncidents": [ { "id": "string", "incident": { "id": "string", "name": "string", "slug": "string", "shortId": 0 } } ], "linkedEvidence": [ { "id": "string", "evidence": { "id": "string", "title": "string", "shortId": 0 } } ], "recordCategoryLinks": [ { "id": "string", "category": { "id": "string", "name": "string", "slug": "string", "owner": { "id": "string", "name": "string" }, "cadenceSchedule": { "id": "string", "name": "string" }, "nextDueAt": "string" } } ] } ], "sourceMatches": [ { "id": "string", "matchLevel": "FULL", "organizationId": "string", "notes": "string", "createdAt": "string", "createdBy": "string", "matchedControl": { "id": "string", "identifier": "string", "name": "string", "slug": "string", "framework": { "id": "string", "name": "string", "identifier": "string", "identifierColor": "string" } } } ], "targetMatches": [ { "id": "string", "matchLevel": "FULL", "organizationId": "string", "notes": "string", "createdAt": "string", "createdBy": "string", "control": { "id": "string", "identifier": "string", "name": "string", "slug": "string", "framework": { "id": "string", "name": "string", "identifier": "string", "identifierColor": "string" } } } ]}How is this guide?